"""empty message

Revision ID: 676949be3cbd
Revises: 
Create Date: 2021-03-26 00:04:30.150471

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '676949be3cbd'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('content_recommender',
    sa.Column('uuid', postgresql.UUID(), nullable=False),
    sa.Column('record_id', sa.BIGINT(), nullable=True),
    sa.Column('recommended_content_id', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('popularity_recommender',
    sa.Column('uuid', postgresql.UUID(), nullable=False),
    sa.Column('click_article_id', sa.BIGINT(), nullable=True),
    sa.Column('total_click_environment', sa.BIGINT(), nullable=True),
    sa.Column('date', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('records_records_material_or_publication_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('material_publication_type', sa.String(length=100), nullable=True),
    sa.Column('definition', sa.TEXT(), nullable=True),
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.Column('deleted', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('smtp_logs',
    sa.Column('uuid', postgresql.UUID(), nullable=False),
    sa.Column('user_id', sa.BIGINT(), nullable=True),
    sa.Column('email', sa.String(length=200), nullable=False),
    sa.Column('rcode', sa.BIGINT(), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=False),
    sa.Column('status', sa.String(length=100), nullable=False),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=200), nullable=True),
    sa.Column('username', sa.String(length=64), nullable=True),
    sa.Column('email', sa.String(length=120), nullable=True),
    sa.Column('password_hash', sa.String(length=128), nullable=True),
    sa.Column('about_me', sa.String(length=140), nullable=True),
    sa.Column('last_seen', sa.DateTime(), nullable=True),
    sa.Column('token', sa.String(length=32), nullable=True),
    sa.Column('token_expiration', sa.DateTime(), nullable=True),
    sa.Column('last_message_read_time', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_user_email'), 'user', ['email'], unique=True)
    op.create_index(op.f('ix_user_token'), 'user', ['token'], unique=True)
    op.create_index(op.f('ix_user_username'), 'user', ['username'], unique=True)
    op.create_table('communities_community',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('id', sa.String(length=100), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('description', sa.TEXT(), nullable=False),
    sa.Column('page', sa.TEXT(), nullable=False),
    sa.Column('curation_policy', sa.TEXT(), nullable=False),
    sa.Column('last_record_accepted', sa.DateTime(), nullable=False),
    sa.Column('logo_ext', sa.String(length=4), nullable=True),
    sa.Column('ranking', sa.Integer(), nullable=False),
    sa.Column('fixed_points', sa.Integer(), nullable=False),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['id_user'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('followers',
    sa.Column('follower_id', sa.Integer(), nullable=True),
    sa.Column('followed_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['followed_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['follower_id'], ['user.id'], )
    )
    op.create_table('message',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('sender_id', sa.Integer(), nullable=True),
    sa.Column('recipient_id', sa.Integer(), nullable=True),
    sa.Column('body', sa.String(length=140), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['recipient_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['sender_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_message_timestamp'), 'message', ['timestamp'], unique=False)
    op.create_table('notification',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('timestamp', sa.Float(), nullable=True),
    sa.Column('payload_json', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_notification_name'), 'notification', ['name'], unique=False)
    op.create_index(op.f('ix_notification_timestamp'), 'notification', ['timestamp'], unique=False)
    op.create_table('personalized_notification_info',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('community_type', postgresql.ARRAY(sa.Text()), nullable=False),
    sa.Column('material_publication_type', sa.String(length=100), nullable=False),
    sa.Column('activate_pn', sa.String(length=50), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('post',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('community_type', postgresql.ARRAY(sa.Text()), nullable=False),
    sa.Column('material_publication_type', sa.String(length=100), nullable=True),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('author_name', sa.String(length=255), nullable=False),
    sa.Column('body', sa.TEXT(), nullable=False),
    sa.Column('publication_date', sa.DateTime(), nullable=True),
    sa.Column('call_number', sa.String(length=100), nullable=False),
    sa.Column('physical_desc', sa.TEXT(), nullable=False),
    sa.Column('content_book_serial', sa.TEXT(), nullable=False),
    sa.Column('physical_ext_page', sa.TEXT(), nullable=False),
    sa.Column('biography_note', sa.TEXT(), nullable=False),
    sa.Column('catalog_source', sa.String(length=100), nullable=False),
    sa.Column('circulation_no', sa.String(length=100), nullable=False),
    sa.Column('accession_no', sa.String(length=100), nullable=False),
    sa.Column('bersyon', sa.String(length=100), nullable=False),
    sa.Column('location', sa.String(length=255), nullable=False),
    sa.Column('status', sa.String(length=20), nullable=False),
    sa.Column('additional_notes', sa.TEXT(), nullable=False),
    sa.Column('keywords', sa.TEXT(), nullable=False),
    sa.Column('access_right', sa.String(length=50), nullable=False),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.Column('modified_date', sa.DateTime(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('language', sa.String(length=5), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_post_timestamp'), 'post', ['timestamp'], unique=False)
    op.create_table('task',
    sa.Column('id', sa.String(length=36), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=True),
    sa.Column('description', sa.String(length=128), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('complete', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_task_name'), 'task', ['name'], unique=False)
    op.create_table('record_stat',
    sa.Column('record_id', sa.Integer(), nullable=False),
    sa.Column('total_views', sa.BIGINT(), nullable=True),
    sa.Column('total_likes', sa.BIGINT(), nullable=True),
    sa.ForeignKeyConstraint(['record_id'], ['post.id'], ),
    sa.PrimaryKeyConstraint('record_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('record_stat')
    op.drop_index(op.f('ix_task_name'), table_name='task')
    op.drop_table('task')
    op.drop_index(op.f('ix_post_timestamp'), table_name='post')
    op.drop_table('post')
    op.drop_table('personalized_notification_info')
    op.drop_index(op.f('ix_notification_timestamp'), table_name='notification')
    op.drop_index(op.f('ix_notification_name'), table_name='notification')
    op.drop_table('notification')
    op.drop_index(op.f('ix_message_timestamp'), table_name='message')
    op.drop_table('message')
    op.drop_table('followers')
    op.drop_table('communities_community')
    op.drop_index(op.f('ix_user_username'), table_name='user')
    op.drop_index(op.f('ix_user_token'), table_name='user')
    op.drop_index(op.f('ix_user_email'), table_name='user')
    op.drop_table('user')
    op.drop_table('smtp_logs')
    op.drop_table('records_records_material_or_publication_type')
    op.drop_table('popularity_recommender')
    op.drop_table('content_recommender')
    # ### end Alembic commands ###
